OSC32KCTRL_CFDCTRL_Type Union Reference

## Data Fields

struct {
uint8_t CFDEN:1
uint8_t SWBACK:1
uint8_t CFDPRESC:1
uint8_t __pad0__:5
} | bit
uint8_t | reg

## Detailed Description

Definition at line 213 of file osc32kctrl.h.

## Field Documentation

## __pad0__

uint8_t OSC32KCTRL_CFDCTRL_Type::__pad0__

bit: 3.. 7 Reserved

Definition at line 218 of file osc32kctrl.h.

## bit

struct { ... } OSC32KCTRL_CFDCTRL_Type::bit

Structure used for bit access

## CFDEN

uint8_t OSC32KCTRL_CFDCTRL_Type::CFDEN

bit: 0 Clock Failure Detector Enable

Definition at line 215 of file osc32kctrl.h.

## CFDPRESC

uint8_t OSC32KCTRL_CFDCTRL_Type::CFDPRESC

bit: 2 Clock Failure Detector Prescaler

Definition at line 217 of file osc32kctrl.h.

## reg

uint8_t OSC32KCTRL_CFDCTRL_Type::reg

Type used for register access

Definition at line 220 of file osc32kctrl.h.

## SWBACK

uint8_t OSC32KCTRL_CFDCTRL_Type::SWBACK

bit: 1 Clock Switch Back

Definition at line 216 of file osc32kctrl.h.

The documentation for this union was generated from the following file:

- /storage/Shared/Documents/Projects/ePenguin/ePenguin-Software-Framework/arch/arm/SAME54/SAME54A/mcu/inc/component/osc32kctrl.h